## edu.stanford.nlp.tagger.maxent
Class TemplateHash

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.TemplateHash

    public class TemplateHash

extends Object

Constructor Summary
`TemplateHash(MaxentTagger maxentTagger)`

Method Summary
`protected void` `add(int nFeatFrame, History history, int number)`
`protected void` `addPositions(int start, int end, FeatureKey fK)`
`protected void` `addPrev(int nFeatFrame, History history)`
`protected int[]` `getPositions(FeatureKey s)`
`protected int[]` `getXValues(Pair<Integer,String> key)`
`protected void` `release()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateHash

    public TemplateHash(MaxentTagger maxentTagger)

Method Detail

### addPositions

    protected void addPositions(int start,
                                int end,
                                FeatureKey fK)

### getPositions

    protected int[] getPositions(FeatureKey s)

### release

    protected void release()

### add

    protected void add(int nFeatFrame,
                       History history,
                       int number)

### addPrev

    protected void addPrev(int nFeatFrame,
                           History history)

### getXValues

    protected int[] getXValues(Pair<Integer,String> key)

Stanford NLP Group